Terminais
Atualizar apelido do terminal
Define o apelido exibido para um terminal da loja.
POST
/manager/terminals/nicknameAuthorization
bearerAuth gatewayKey AuthorizationBearer <token>
Token JWT no formato: Bearer {token}
In: header
ocp-apim-subscription-key<token>
Gateway Token recebido na criacao da loja.
In: header
Request Body
application/json
Corpo da requisição.
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.smarttef.mobi/manager/terminals/nickname" \ -H "Content-Type: application/json" \ -d '{ "serial_pos": "1490063579", "nickname": "Caixa 1" }'[]{
"status": 400,
"data": {
"message": [
{
"code": "too_small",
"minimum": 1,
"message": "String must contain at least 1 character(s)",
"path": [
"serial_pos"
]
}
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/terminals/nickname"
}
}{
"status": 401,
"data": {
"message": [
"Unauthorized",
"Token não e do tipo loja, verifique se o token está correto.",
"token not corresponds",
"Store not found",
"Store is not active or is blocked",
"Store is blocked. <cache>"
],
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/terminals/nickname"
}
}{
"status": 404,
"data": {
"message": "Terminal not found",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/terminals/nickname"
}
}{
"status": 500,
"data": {
"message": "Internal Server Error",
"timestamp": "2026-02-09T12:00:00.000Z",
"path": "/manager/terminals/nickname"
}
}